.anchor-menu-container {
    position: fixed;
    bottom: 50%;
    transform: translate(-150%, 50%);
    left: 100%;
    z-index: 110;
    outline: 1.5px solid #ffffff;
    border-radius: 16px;
}

.anchor-menu-wrapper {
    display: flex;
    flex-direction: column;
    gap: 4px;
    border-radius: 16px;
    box-sizing: border-box;
    padding: 4px;
    background: rgba(255, 255, 255, 0.6);
}

.menu-item {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 150px;
    height: 58px;
    border-radius: 6px;
    background: #2A7B9B;
    background: linear-gradient(180deg, rgba(42, 123, 155, 1) 0%, rgba(71, 70, 69, 1) 0%, rgba(14, 12, 9, 1) 100%);
    cursor: pointer;
}

.menu-item:hover {
    background: #2A7B9B;
    background: linear-gradient(180deg, rgba(42, 123, 155, 1) 0%, rgba(255, 211, 129, 1) 0%, rgba(205, 152, 96, 1) 100%);
    outline: 1.5px solid #ffffff;
}


.menu-item:nth-child(1) {
    border-radius: 13px 13px 4px 4px;
}

.menu-item:nth-child(8) {
    border-radius: 4px 4px 13px 13px;
}

.menu-item p {
    margin: 0;
    padding: 0;
    font-family: 'Noto Sans TC', sans-serif;
    /* color: #F77700; */
    text-align: justify;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 4px;
    letter-spacing: 0.5px;
    text-align: center;
}

.top-menu-style p:first-of-type {
    color: #FFD381;
    font-weight: 600;
}

.top-menu-style p:last-of-type {
    color: #FFFFFF;
}

.bottom-menu-style p:first-of-type {
    color: #FFFFFF;
}

.bottom-menu-style p:last-of-type {
    font-weight: 600;
    color: #FFD381;
}

/* hover 用父層觸發，影響裡面文字 */
.menu-item.top-menu-style:hover p:first-of-type {
    color: #141414;
}

.menu-item.bottom-menu-style:hover p:last-of-type {
    color: #141414;
}

@media screen and (max-width: 700px) {
    .anchor-menu-container {
        position: fixed;
        bottom: 0;
        left: 50%;
        transform: translate(-50%, -25%);
        z-index: 110;
        outline: 1.5px solid #ffffff;
        border-radius: 16px;
    }

    .anchor-menu-wrapper {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-between;
        width: 91.6vw;
        max-width: 394px;
        gap: 4px;
        border-radius: 16px;
        box-sizing: border-box;
        padding: 4px;
        background: rgba(255, 255, 255, 0.6);
    }

    .menu-item {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 21.5vw;
        max-width: 93px;
        height: 58px;
        border-radius: 4px;
        background: #2A7B9B;
        background: linear-gradient(180deg, rgba(42, 123, 155, 1) 0%, rgba(71, 70, 69, 1) 0%, rgba(14, 12, 9, 1) 100%);
    }

    .menu-item:nth-child(1) {
        border-radius: 13px 4px 4px 4px;
    }

    .menu-item:nth-child(4) {
        border-radius: 4px 13px 4px 4px;
    }

    .menu-item:nth-child(5) {
        border-radius: 4px 4px 4px 13px;
    }

    .menu-item:nth-child(8) {
        border-radius: 4px 4px 13px 4px;
    }

    .menu-item p {
        margin: 0;
        padding: 0;
        font-family: 'Noto Sans', sans-serif;
        color: #ffffff;
        text-align: justify;
        font-size: 14px;
        font-style: normal;
        font-weight: 400;
        line-height: 4px;
        letter-spacing: 0.5px;
        text-align: center;
    }

    /* 縮短 滿額贈護膚禮 字距 */
    .menu-item:nth-child(1) p {
        letter-spacing: -0.4px;
    }
}

@media screen and (max-width: 420px) {

    /* 縮短 滿額贈護膚禮 字距、字體大小 */
    .menu-item:nth-child(1) p {
        letter-spacing: -0.4px;
        font-size: 12px;
    }
}